import sys

from pygame.locals import QUIT, KEYDOWN, K_ESCAPE

def escape_pressed(event):
        return event.type == KEYDOWN and event.key == K_ESCAPE
    
def process_input(events):
    for event in events:
        if event.type == QUIT or escape_pressed(event):
            sys.exit()
